"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
    log.ts - Logging
 */
const init_1 = require("./utils/init");
// jest.setTimeout(7200 * 1000)
test('Constructor without logging', async () => {
    let metrics = new init_1.CustomMetrics({ client: init_1.client, table: init_1.table });
    let metric = await metrics.emit('test/log', 'FirstMetric', 10);
    expect(metric).toBeDefined();
    let r = await metrics.query('test/log', 'FirstMetric', {}, 300, 'sum');
    expect(r).toBeDefined();
    let list = await metrics.getMetricList('test/log');
    expect(list).toBeDefined();
});
test('Constructor with logging', async () => {
    let metrics = new init_1.CustomMetrics({ client: init_1.client, table: init_1.table, log: true });
    let metric = await metrics.emit('test/log', 'FirstMetric', 10);
    expect(metric).toBeDefined();
    let r = await metrics.query('test/log', 'FirstMetric', {}, 300, 'sum');
    expect(r).toBeDefined();
    let list = await metrics.getMetricList('test/log');
    expect(list).toBeDefined();
});
