"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
    series.ts - Test query with series results
 */
const init_1 = require("./utils/init");
// jest.setTimeout(7200 * 1000)
test('Test query with series', async () => {
    let metrics = new init_1.CustomMetrics({ client: init_1.client, table: init_1.table });
    let timestamp = new Date(2000, 0, 1).getTime();
    let span = init_1.DefaultSpans[2];
    let interval = span.period / span.samples;
    let metric;
    for (let i = 0; i < 4; i++) {
        metric = await metrics.emit('test/series', 'FirstMetric', 10, [], { timestamp });
        timestamp += interval * 1000;
    }
    timestamp = timestamp - (interval * 1000) + 1000;
    let r = await metrics.query('test/series', 'FirstMetric', {}, 86400, 'sum', { timestamp });
    expect(r).toBeDefined();
    expect(r.metric).toBe('FirstMetric');
    expect(r.namespace).toBe('test/series');
    expect(r.period).toBe(span.period);
    expect(r.points).toBeDefined();
    expect(r.points.length).toBe(4);
    expect(r.points[0].value).toBe(10);
    expect(r.points[0].count).toBe(1);
});
