"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.print = exports.log = exports.dumpMetrics = exports.dump = exports.delay = exports.DefaultSpans = exports.CustomMetrics = exports.client = exports.table = void 0;
const index_1 = require("../../src/index");
Object.defineProperty(exports, "CustomMetrics", { enumerable: true, get: function () { return index_1.CustomMetrics; } });
Object.defineProperty(exports, "DefaultSpans", { enumerable: true, get: function () { return index_1.DefaultSpans; } });
const senselogs_1 = __importDefault(require("senselogs"));
const log = new senselogs_1.default({ destination: 'stdout', format: 'human' });
exports.log = log;
/*
    Share the client and table created in setup.ts
 */
const client = globalThis.DynamoDBClient;
exports.client = client;
const table = globalThis.TableName;
exports.table = table;
const dump = (...args) => {
    let s = [];
    for (let item of args) {
        let values = JSON.stringify(item, function (key, value) {
            if (this[key] instanceof Date) {
                return this[key].toLocaleString();
            }
            return value;
        }, 4);
        s.push(values);
    }
    let result = s.join(' ');
    console.log(result);
    return result;
};
exports.dump = dump;
const dumpMetrics = function (results) {
    let buf = [];
    for (let metric of results) {
        buf.push(`${metric.namespace}/${metric.metric}/${JSON.stringify(metric.dimensions)} ${metric.period}`);
        let points = metric.points.slice(0);
        for (let point of points) {
            buf.push(`     ${new Date(point.timestamp).toLocaleString()} = ${point.value || '-'} / ${point.count}`);
        }
        print(buf.join('\n'));
    }
};
exports.dumpMetrics = dumpMetrics;
const print = (...args) => {
    console.log(...args);
};
exports.print = print;
globalThis.dump = dump;
globalThis.print = print;
const delay = async (time) => {
    return new Promise(function (resolve, reject) {
        setTimeout(() => resolve(true), time);
    });
};
exports.delay = delay;
